/*    LIMITAZIONE DELLA RESPONSABILITA'. 
  Il software  fornito "cos com'", senza garanzie di ogni sorta.               */
%macro grabpath;
%qsubstr(%sysget(SAS_EXECFILEPATH),1,%length(%sysget(SAS_EXECFILEPATH))-%length(%sysget(SAS_EXECFILEname)))
%mend grabpath;
%let path = %grabpath;
%let nomeFile =ISTAT_MFR_CIS_Microdata_2008_FILE_STRUCTURE_EXAMPLE.txt;
LIBNAME ISTAT "&path";
DATA ISTAT.CIS_2008;

INFILE "&path&nomeFile" DLM='5E'x  LRECL=6000 TRUNCOVER FIRSTOBS=2 IGNOREDOSEOF;
INPUT 
id :6.   /*  Name of the enterprise */
nuts :2.   /*  Address */
nace :5.   /*  Main economic activity */
GP :1.   /*  Enterprise part of a group */
HO :$1.   /*  Country of head office */
MARLOC :1.   /*  Local/regional market */
MARNAT :1.   /*  National l market */
MAREUR :1.   /*  Other EU/EFTA/CC  market */
MAROTH :1.   /*  All other countries */
LARMAR :$1.   /*  Enterprise's largest market in terms of turnover between 2006 and 2008 */
INPDGD :1.   /*  Introduced onto the market a new or significantly improved good */
INPDSV :1.   /*  Introduced onto the market a new or significantly improved service */
INPDTW :1.   /*  Who mainly developed these products */
NEWMKT :1.   /*  Did the enterprise introduce a product new to the market */
NEWFRM :1.   /*  Did the enterprise introduce a product new to the firm */
TURNMAR :4.2   /*  % of turnover in new or improved products that were new to the market */
TURNIN :4.2   /*  % of turnover in new or improved products that were new to the firm */
TURNUNG :4.2   /*  % of turnover in unchanged or marginally modified products */
INPSPD :1.   /*  Introduced onto the market a new or significantly improved method of production */
INPSLG :1.   /*  "Introduced onto the market a new or significantly improved logistic, delivery or distribution system" */
INPSSU :1.   /*  Introduced onto the market a new or significantly improved supporting activities */
INPCSW :1.   /*  Who mainly developed these processes */
INPSNM :1.   /*  Process innovations new to enterprise's market */
INABA :1.   /*  Enterprise with abandoned innovation activities */
INONG :1.   /*  Enterprise with ongoing innovation activities */
RRDIN :1.   /*  Engagement in intramural R&D */
RDENG :1.   /*  Type of engagement in R&D */
RRDEX :1.   /*  Engagement in extramural R&D */
RMAC :1.   /*  Engagement in acquisition of machinery */
ROEK :1.   /*  Engagement in other external knowledge */
RTR :1.   /*  Engagement in training */
RMAR :1.   /*  Engagement in market introduction of innovation */
RPRE :1.   /*  Engagement in other preparation */
rrdinx :9.   /*  Expenditure in intramural R&D */
rrdexx :9.   /*  Expenditure in extramural R&D */
rmacx :9.   /*  Expenditure in acquisition of machinery */
roekx :9.   /*  Expenditure in other external knowledge */
rtrx :9.   /*  Expenditure in training */
rprex :9.   /*  Expenditure in other preparation */
rmarx :9.   /*  Expenditure in market introduction of innovation */
rtotita :9.   /*  Total innovation expenditure */
funloc :1.   /*  Public funding from local or regional authorities */
fungmt :1.   /*  Public funding from central government */
funeu :1.   /*  Public funding from the EU */
funrtd :1.   /*  Funding from EU's 6th or 7th RTD */
SENTG :1.   /*  Sources from within the enterprise or enterprise group */
SSUP :1.   /*  "Sources from Suppliers of equipment, materials, etc." */
SCLI :1.   /*  Sources from Clients or customers */
SCOM :1.   /*  Sources from Competitors and other enterprises of same industry */
SINS :1.   /*  "Sources from consultants, commercial labs or private R&D institutes" */
SUNI :1.   /*  Sources from Universities or other higher education institutes */
SGMT :1.   /*  Sources from Government or public research institutes */
SCON :1.   /*  "Sources from professional conferences, trade fairs, meetings" */
SJOU :1.   /*  "Sources from Scientific journals, trade/scientific publications" */
SPRO :1.   /*  Sources from Professional and industry associations */
CO :1.   /*  Cooperation arrangements on innovation activities */
co11 :1.   /*  Other enterprises within enterprise group : National */
co12 :1.   /*  Other enterprises within enterprise group : EU/EFTA/EU-CC */
co13 :1.   /*  Other enterprises within enterprise group : US */
co14 :1.   /*  Other enterprises within enterprise group : India or China */
co15 :1.   /*  Other enterprises within enterprise group : Other countries */
co21 :1.   /*  "Suppliers of equipment, etc. : National" */
co22 :1.   /*  "Suppliers of equipment, etc. : EU/EFTA/EU-CC" */
co23 :1.   /*  "Suppliers of equipment, etc. : US" */
co24 :1.   /*  "Suppliers of equipment, etc. :  India or China" */
co25 :1.   /*  "Suppliers of equipment, etc. :  Other countries" */
co31 :1.   /*  Clients or customers : National */
co32 :1.   /*  Clients or customers : EU/EFTA/EU-CC */
co33 :1.   /*  Clients or customers : US */
co34 :1.   /*  Clients or customers : India or China */
co35 :1.   /*  Clients or customers : Other countries */
co41 :1.   /*  Competitors or other firms  : National */
co42 :1.   /*  Competitors or other firms  : EU/EFTA/EU-CC */
co43 :1.   /*  Competitors or other firms  : US */
co44 :1.   /*  Competitors or other firms  : India or China */
co45 :1.   /*  Competitors or other firms  : Other countries */
co51 :1.   /*  "Consultants, commercial labs, private R&D institutes : National" */
co52 :1.   /*  "Consultants, commercial labs, private R&D institutes : EU/EFTA/EU-CC" */
co53 :1.   /*  "Consultants, commercial labs, private R&D institutes : US" */
co54 :1.   /*  "Consultants, commercial labs, private R&D institutes : India or China" */
co55 :1.   /*  "Consultants, commercial labs, private R&D institutes : Other countries" */
co61 :1.   /*  Universities or other  : National */
co62 :1.   /*  Universities or other  : EU/EFTA/EU-CC */
co63 :1.   /*  Universities or other  : US */
co64 :1.   /*  Universities or other  : India or China */
co65 :1.   /*  Universities or other  : Other countries */
co71 :1.   /*  Government or public research institutes: National */
co72 :1.   /*  Government or public research institutes:  EU/EFTA/EU-CC */
co73 :1.   /*  Government or public research institutes: US */
co74 :1.   /*  Government or public research institutes: India or China */
co75 :1.   /*  Government or public research institutes: Other countries */
PMOS :$1.   /*  Most important co-operation partner */
ORANGE :1.   /*  Increased range of goods or services */
OREPL :1.   /*  Replace outdated products or processes */
OENMK :1.   /*  Enter new markets */
OIMKS :1.   /*  Increase market share */
OQUA :1.   /*  Improve quality of goods or services */
OFLEX :1.   /*  Improve flexibility for producing goods or services */
OCAP :1.   /*  Increase capacity for producing goods or services */
OHES :1.   /*  Improve health and safety */
OLBR :1.   /*  Reduce labour costs per unit output */
ORGBUP :1.   /*  New business practices for organising work or procedures */
ORGWKP :1.   /*  New methods of workplace organisation */
ORGEXR :1.   /*  New methods of organising external relations */
ORORED :1.   /*  Reduce time to respond to customer or supplier needs */
OROABL :1.   /*  Improve ability to develop new products or processes */
OROQUA :1.   /*  Improve quality of your goods or services */
ORORCO :1.   /*  Reduce costs per unit output */
OROCIN :1.   /*  Improved communication or information sharing */
MKTDGP :1.   /*  Significant changes to the aesthetic design or packaging */
MKTPDP :1.   /*  New media or techniques for product promotion */
MKTPDL :1.   /*  New methods for product placement or sales channels */
MKTPRI :1.   /*  New methods of pricing goods or services */
OMKTS :1.   /*  Increase or maintain market share */
OMKTCG :1.   /*  Introduce products to new customer groups */
OMKTGM :1.   /*  Introduce products to new geographic markets */
ECOMAT :1.   /*  Reduced material use per unit of output */
ECOEN :1.   /*  Reduced energy use per unit of output */
ECOCO :1.   /*  Reduced CO2 footprint (total CO2 production) by your enterprise */
ECOSUB :1.   /*  Replaced materials with less polluting or hazardous substitutes */
ECOPOL :1.   /*  "Reduced soil, water, noise, or air pollution" */
ECOREC :1.   /*  "Recycled waste, water, or materials" */
ECOENU :1.   /*  Reduced energy use */
ECOPOS :1.   /*  "Reduced air, water, soil or noise pollution" */
ECOREA :1.   /*  Improved recycling of product after use */
ENREG :1.   /*  Existing environmental regulations or taxes on pollution */
ENREGF :1.   /*  Environmental regulations or taxes that you expected to be introduced in the future */
ENGRA :1.   /*  "Availability of government grants, subsidies or other financial incentives for e" */
ENDEM :1.   /*  Current or expected market demand from your customers for environmental innovations */
ENAGR :1.   /*  Voluntary codes or agreements for environmental good practice within your sector */
ENVID :1.   /*  Procedures in place to regularly identify and reduce enterprises environmental impact */
turn06 :11.   /*  Total turnover in 2006 */
turn08 :11.   /*  Total turnover in 2008 */
EMP06 :6.   /*  Size class in 2006 */
EMP08 :6.   /*  Size class in 2008 */
weightnr :7.3   /*  Weighting factors */
;
LABEL 
id = "Name of the enterprise"
nuts = "Address"
nace = "Main economic activity"
GP = "Enterprise part of a group"
HO = "Country of head office"
MARLOC = "Local/regional market"
MARNAT = "National l market"
MAREUR = "Other EU/EFTA/CC  market"
MAROTH = "All other countries"
LARMAR = "Enterprise's largest market in terms of turnover between 2006 and 2008"
INPDGD = "Introduced onto the market a new or significantly improved good"
INPDSV = "Introduced onto the market a new or significantly improved service"
INPDTW = "Who mainly developed these products"
NEWMKT = "Did the enterprise introduce a product new to the market"
NEWFRM = "Did the enterprise introduce a product new to the firm"
TURNMAR = "% of turnover in new or improved products that were new to the market"
TURNIN = "% of turnover in new or improved products that were new to the firm"
TURNUNG = "% of turnover in unchanged or marginally modified products"
INPSPD = "Introduced onto the market a new or significantly improved method of production"
INPSLG = " Introduced onto the market a new or significantly improved logistic, delivery or distribution system "
INPSSU = "Introduced onto the market a new or significantly improved supporting activities"
INPCSW = "Who mainly developed these processes"
INPSNM = "Process innovations new to enterprise's market"
INABA = "Enterprise with abandoned innovation activities"
INONG = "Enterprise with ongoing innovation activities"
RRDIN = "Engagement in intramural R&D"
RDENG = "Type of engagement in R&D"
RRDEX = "Engagement in extramural R&D"
RMAC = "Engagement in acquisition of machinery"
ROEK = "Engagement in other external knowledge"
RTR = "Engagement in training"
RMAR = "Engagement in market introduction of innovation"
RPRE = "Engagement in other preparation"
rrdinx = "Expenditure in intramural R&D"
rrdexx = "Expenditure in extramural R&D"
rmacx = "Expenditure in acquisition of machinery"
roekx = "Expenditure in other external knowledge"
rtrx = "Expenditure in training"
rprex = "Expenditure in other preparation"
rmarx = "Expenditure in market introduction of innovation"
rtotita = "Total innovation expenditure"
funloc = "Public funding from local or regional authorities"
fungmt = "Public funding from central government"
funeu = "Public funding from the EU"
funrtd = "Funding from EU's 6th or 7th RTD"
SENTG = "Sources from within the enterprise or enterprise group"
SSUP = " Sources from Suppliers of equipment, materials, etc. "
SCLI = "Sources from Clients or customers"
SCOM = "Sources from Competitors and other enterprises of same industry"
SINS = " Sources from consultants, commercial labs or private R&D institutes "
SUNI = "Sources from Universities or other higher education institutes"
SGMT = "Sources from Government or public research institutes"
SCON = " Sources from professional conferences, trade fairs, meetings "
SJOU = " Sources from Scientific journals, trade/scientific publications "
SPRO = "Sources from Professional and industry associations"
CO = "Cooperation arrangements on innovation activities"
co11 = "Other enterprises within enterprise group : National"
co12 = "Other enterprises within enterprise group : EU/EFTA/EU-CC"
co13 = "Other enterprises within enterprise group : US"
co14 = "Other enterprises within enterprise group : India or China"
co15 = "Other enterprises within enterprise group : Other countries"
co21 = " Suppliers of equipment, etc. : National "
co22 = " Suppliers of equipment, etc. : EU/EFTA/EU-CC "
co23 = " Suppliers of equipment, etc. : US "
co24 = " Suppliers of equipment, etc. :  India or China "
co25 = " Suppliers of equipment, etc. :  Other countries "
co31 = "Clients or customers : National"
co32 = "Clients or customers : EU/EFTA/EU-CC"
co33 = "Clients or customers : US"
co34 = "Clients or customers : India or China"
co35 = "Clients or customers : Other countries"
co41 = "Competitors or other firms  : National"
co42 = "Competitors or other firms  : EU/EFTA/EU-CC"
co43 = "Competitors or other firms  : US"
co44 = "Competitors or other firms  : India or China"
co45 = "Competitors or other firms  : Other countries"
co51 = " Consultants, commercial labs, private R&D institutes : National "
co52 = " Consultants, commercial labs, private R&D institutes : EU/EFTA/EU-CC "
co53 = " Consultants, commercial labs, private R&D institutes : US "
co54 = " Consultants, commercial labs, private R&D institutes : India or China "
co55 = " Consultants, commercial labs, private R&D institutes : Other countries "
co61 = "Universities or other  : National"
co62 = "Universities or other  : EU/EFTA/EU-CC"
co63 = "Universities or other  : US"
co64 = "Universities or other  : India or China"
co65 = "Universities or other  : Other countries"
co71 = "Government or public research institutes: National"
co72 = "Government or public research institutes:  EU/EFTA/EU-CC"
co73 = "Government or public research institutes: US"
co74 = "Government or public research institutes: India or China"
co75 = "Government or public research institutes: Other countries"
PMOS = "Most important co-operation partner"
ORANGE = "Increased range of goods or services"
OREPL = "Replace outdated products or processes"
OENMK = "Enter new markets"
OIMKS = "Increase market share"
OQUA = "Improve quality of goods or services"
OFLEX = "Improve flexibility for producing goods or services"
OCAP = "Increase capacity for producing goods or services"
OHES = "Improve health and safety"
OLBR = "Reduce labour costs per unit output"
ORGBUP = "New business practices for organising work or procedures"
ORGWKP = "New methods of workplace organisation"
ORGEXR = "New methods of organising external relations"
ORORED = "Reduce time to respond to customer or supplier needs"
OROABL = "Improve ability to develop new products or processes"
OROQUA = "Improve quality of your goods or services"
ORORCO = "Reduce costs per unit output"
OROCIN = "Improved communication or information sharing"
MKTDGP = "Significant changes to the aesthetic design or packaging"
MKTPDP = "New media or techniques for product promotion"
MKTPDL = "New methods for product placement or sales channels"
MKTPRI = "New methods of pricing goods or services"
OMKTS = "Increase or maintain market share"
OMKTCG = "Introduce products to new customer groups"
OMKTGM = "Introduce products to new geographic markets"
ECOMAT = "Reduced material use per unit of output"
ECOEN = "Reduced energy use per unit of output"
ECOCO = "Reduced CO2 footprint (total CO2 production) by your enterprise"
ECOSUB = "Replaced materials with less polluting or hazardous substitutes"
ECOPOL = " Reduced soil, water, noise, or air pollution "
ECOREC = " Recycled waste, water, or materials "
ECOENU = "Reduced energy use"
ECOPOS = " Reduced air, water, soil or noise pollution "
ECOREA = "Improved recycling of product after use"
ENREG = "Existing environmental regulations or taxes on pollution"
ENREGF = "Environmental regulations or taxes that you expected to be introduced in the future"
ENGRA = " Availability of government grants, subsidies or other financial incentives for e "
ENDEM = "Current or expected market demand from your customers for environmental innovations"
ENAGR = "Voluntary codes or agreements for environmental good practice within your sector"
ENVID = "Procedures in place to regularly identify and reduce enterprises environmental impact"
turn06 = "Total turnover in 2006"
turn08 = "Total turnover in 2008"
EMP06 = "Size class in 2006"
EMP08 = "Size class in 2008"
weightnr = "Weighting factors"
;
RUN;
PROC FORMAT;
VALUE nut1F /* nuts */
IT= "Italia"
;
VALUE nac2F /* nace */
B= "MINING AND QUARRYING"
10= "Manufacture of food products"
13= "Manufacture of textiles"
14= "Manufacture of wearing apparel"
15= "Manufacture of leather and related products"
16= "Manufacture of wood and of products of wood and cork, except furniture; manufacture of articles of straw and plaiting materials"
17= "Manufacture of paper and paper products"
18= "Printing and reproduction of recorded media"
19= "Manufacture of coke and refined petroleum products"
20= "Manufacture of chemicals and chemical products"
21= "Manufacture of basic pharmaceutical products and pharmaceutical preparations"
22= "Manufacture of rubber and plastic products"
23= "Manufacture of other non-metallic mineral products"
24= "Manufacture of basic metals"
25= "Manufacture of fabricated metal products, except machinery and equipment"
26= "Manufacture of computer, electronic and optical products"
27= "Manufacture of electrical equipment"
28= "Manufacture of machinery and equipment n.e.c."
29= "Manufacture of motor vehicles, trailers and semi-trailers"
30= "Manufacture of other transport equipment"
31= "Manufacture of furniture"
32= "Other manufacturing"
33= "Repair and installation of machinery and equipment"
35= "Electricity, gas, steam and air conditioning supply"
36= "Water collection, treatment and supply"
37= "Sewerage"
41= "Construction of buildings"
42= "Civil engineering"
43= "Specialised construction activities"
45= "Wholesale and retail trade and repair of motor vehicles and motorcycles"
46= "Wholesale trade, except of motor vehicles and motorcycles"
47= "Retail trade, except of motor vehicles and motorcycles"
49= "Land transport and transport via pipelines"
50= "Water transport"
51= "Air transport"
52= "Warehousing and support activities for transportation"
53= "Postal and courier activities"
55= "Accommodation"
56= "Food and beverage service activities"
58= "Publishing activities"
59= "Motion picture, video and television programme production, sound recording and music publishing activities"
61= "Telecommunications"
62= "Computer programming, consultancy and related activities"
63= "Information service activities"
64= "Financial service activities, except insurance and pension funding"
65= "Insurance, reinsurance and pension funding, except compulsory social security"
66= "Activities auxiliary to financial services and insurance activities"
68= "Real estate activities"
71= "Architectural and engineering activities; technical testing and analysis"
72= "Scientific research and development"
77= "Rental and leasing activities"
11-12= "Manufacture of beverages and tobacco products"
38-39= "Waste collection, treatment and disposal activities; materials recovery; Remediation activities and other waste management services"
;
VALUE GP3F /* GP */
.= "missing or non applicable"
0= "No"
1= "Yes"
;
VALUE $HO4F /* HO */
"." = "missing or non applicable"
"0" = "the enterprise does not belong to a group"
"0" = "Enterprise does not belong to a group"
"1" = "Home country (Italy)"
"2" = "Europe + Candidate Countries + EFTA countries"
"2" = "Europe + Candidate Countries + EFTA countries (Austria, Belgium, Germany, Denmark, Spain, Finland, France, United Kingdom, Greece, Ireland, Iceland, Liechtenstein, Luxembourg, Malta, The Netherlands, "
"3" = "rest of the world (Argentina, Australia, Bermude, Canada, Chile, China, Israel, Iran, Japan, Kuwait, New Caledonia, Saudi Arabia, Singapore, El Salvador, Turkey, Taiwan, United States of America, Virg"
"3" = "Rest of the world"
;
VALUE MAR5F /* MARLOC */
VALUE MAR6F /* MARNAT */
VALUE MAR7F /* MAREUR */
.= "missing or non applicable"
0= "No"
1= "Yes"
;
VALUE MAR8F /* MAROTH */
VALUE $LAR9F /* LARMAR */
"." = "missing or not applicable"
"A" = "Local / regional within [your country]"
"B" = "National (other regions of [your country])"
"C" = "Other European Union (EU), EFTA, or EU candidate countries"
"D" = "All other countries"
;
VALUE INP10F /* INPDGD */
VALUE INP11F /* INPDSV */
VALUE INP12F /* INPDTW */
.= "missing or non applicable"
1= "Mainly by the enterprise or enterprise group"
2= "In cooperation with other enterprises or institutions"
3= "Mainly other enterprises or institutions"
;
VALUE NEW13F /* NEWMKT */
VALUE NEW14F /* NEWFRM */
VALUE INP18F /* INPSPD */
VALUE INP19F /* INPSLG */
VALUE INP20F /* INPSSU */
VALUE INP21F /* INPCSW */
VALUE INP22F /* INPSNM */
.= "missing or non applicable"
0= "No"
1= "Yes"
2= "Don't know"
;
VALUE INA23F /* INABA */
VALUE INO24F /* INONG */
VALUE RRD25F /* RRDIN */
.= "missing or non applicable"
0= "No"
1= "Yes"
;
VALUE RDE26F /* RDENG */
.= "missing"
1= "continuously"
2= "occasionally"
;
VALUE RRD27F /* RRDEX */
VALUE RMA28F /* RMAC */
VALUE ROE29F /* ROEK */
VALUE RTR30F /* RTR */
VALUE RMA31F /* RMAR */
VALUE RPR32F /* RPRE */
VALUE fun41F /* funloc */
VALUE fun42F /* fungmt */
VALUE fun43F /* funeu */
VALUE fun44F /* funrtd */
VALUE SEN45F /* SENTG */
.= "missing or non applicable"
0= "Not used"
1= "Low"
2= "Medium"
3= "High"
;
VALUE SSU46F /* SSUP */
.= "missing or non applicable"
0= "Not used"
1= "Low"
2= "Medium"
3= "High"
;
VALUE SCL47F /* SCLI */
VALUE SCO48F /* SCOM */
VALUE SIN49F /* SINS */
VALUE SUN50F /* SUNI */
VALUE SGM51F /* SGMT */
VALUE SCO52F /* SCON */
VALUE SJO53F /* SJOU */
VALUE SPR54F /* SPRO */
VALUE CO55F /* CO */
.= "missing or non applicable"
0= "No"
1= "Yes"
;
VALUE co156F /* co11 */
VALUE co157F /* co12 */
VALUE co158F /* co13 */
VALUE co159F /* co14 */
VALUE co160F /* co15 */
VALUE co261F /* co21 */
VALUE co262F /* co22 */
VALUE co263F /* co23 */
VALUE co264F /* co24 */
VALUE co265F /* co25 */
VALUE co366F /* co31 */
VALUE co367F /* co32 */
VALUE co368F /* co33 */
VALUE co369F /* co34 */
VALUE co370F /* co35 */
VALUE co471F /* co41 */
VALUE co472F /* co42 */
VALUE co473F /* co43 */
VALUE co474F /* co44 */
VALUE co475F /* co45 */
VALUE co576F /* co51 */
VALUE co577F /* co52 */
VALUE co578F /* co53 */
VALUE co579F /* co54 */
VALUE co580F /* co55 */
VALUE co681F /* co61 */
VALUE co682F /* co62 */
VALUE co683F /* co63 */
VALUE co684F /* co64 */
VALUE co685F /* co65 */
VALUE co786F /* co71 */
VALUE co787F /* co72 */
VALUE co788F /* co73 */
VALUE co789F /* co74 */
VALUE co790F /* co75 */
VALUE $PMO91F /* PMOS */
"." = "missing or not applicable"
"A" = "Other enterprises within enterprise group"
"B" = "Suppliers of equipment, etc"
"C" = "Clients or customers"
"D" = "Competitors or other firms"
"E" = "Consultants, commercial labs, private R&D institutes"
"F" = "Universities"
"G" = "Government or public research institutes"
;
VALUE ORA92F /* ORANGE */
VALUE ORE93F /* OREPL */
.= "missing or non applicable"
0= "Not used"
1= "Low"
2= "Medium"
3= "High"
;
VALUE OEN94F /* OENMK */
VALUE OIM95F /* OIMKS */
VALUE OQU96F /* OQUA */
VALUE OFL97F /* OFLEX */
VALUE OCA98F /* OCAP */
VALUE OHE99F /* OHES */
VALUE OLB100F /* OLBR */
VALUE ORG101F /* ORGBUP */
.= "missing or non applicable"
0= "No"
1= "Yes"
;
VALUE ORG102F /* ORGWKP */
VALUE ORG103F /* ORGEXR */
VALUE ORO104F /* ORORED */
VALUE ORO105F /* OROABL */
VALUE ORO106F /* OROQUA */
VALUE ORO107F /* ORORCO */
VALUE ORO108F /* OROCIN */
VALUE MKT109F /* MKTDGP */
VALUE MKT110F /* MKTPDP */
VALUE MKT111F /* MKTPDL */
VALUE MKT112F /* MKTPRI */
VALUE OMK113F /* OMKTS */
VALUE OMK114F /* OMKTCG */
VALUE OMK115F /* OMKTGM */
VALUE ECO116F /* ECOMAT */
VALUE ECO117F /* ECOEN */
VALUE ECO118F /* ECOCO */
VALUE ECO119F /* ECOSUB */
VALUE ECO120F /* ECOPOL */
VALUE ECO121F /* ECOREC */
VALUE ECO122F /* ECOENU */
VALUE ECO123F /* ECOPOS */
VALUE ECO124F /* ECOREA */
VALUE ENR125F /* ENREG */
VALUE ENR126F /* ENREGF */
VALUE ENG127F /* ENGRA */
VALUE END128F /* ENDEM */
VALUE ENA129F /* ENAGR */
VALUE ENV130F /* ENVID */
.= "missing or not applicable"
0= "No"
1= "Yes: Implemented before January 2006"
2= "Yes: Implemented or significantly improved after January 2006"
3= "Yes for both before and after January 2006"
;
format nuts nut1F.;
format nace nac2F.;
format GP GP3F.;
format HO $HO4F.;
format MARLOC MAR5F.;
format MARNAT MAR6F.;
format MAREUR MAR7F.;
format MAROTH MAR8F.;
format LARMAR $LAR9F.;
format INPDGD INP10F.;
format INPDSV INP11F.;
format INPDTW INP12F.;
format NEWMKT NEW13F.;
format NEWFRM NEW14F.;
format INPSPD INP18F.;
format INPSLG INP19F.;
format INPSSU INP20F.;
format INPCSW INP21F.;
format INPSNM INP22F.;
format INABA INA23F.;
format INONG INO24F.;
format RRDIN RRD25F.;
format RDENG RDE26F.;
format RRDEX RRD27F.;
format RMAC RMA28F.;
format ROEK ROE29F.;
format RTR RTR30F.;
format RMAR RMA31F.;
format RPRE RPR32F.;
format funloc fun41F.;
format fungmt fun42F.;
format funeu fun43F.;
format funrtd fun44F.;
format SENTG SEN45F.;
format SSUP SSU46F.;
format SCLI SCL47F.;
format SCOM SCO48F.;
format SINS SIN49F.;
format SUNI SUN50F.;
format SGMT SGM51F.;
format SCON SCO52F.;
format SJOU SJO53F.;
format SPRO SPR54F.;
format CO CO55F.;
format co11 co156F.;
format co12 co157F.;
format co13 co158F.;
format co14 co159F.;
format co15 co160F.;
format co21 co261F.;
format co22 co262F.;
format co23 co263F.;
format co24 co264F.;
format co25 co265F.;
format co31 co366F.;
format co32 co367F.;
format co33 co368F.;
format co34 co369F.;
format co35 co370F.;
format co41 co471F.;
format co42 co472F.;
format co43 co473F.;
format co44 co474F.;
format co45 co475F.;
format co51 co576F.;
format co52 co577F.;
format co53 co578F.;
format co54 co579F.;
format co55 co580F.;
format co61 co681F.;
format co62 co682F.;
format co63 co683F.;
format co64 co684F.;
format co65 co685F.;
format co71 co786F.;
format co72 co787F.;
format co73 co788F.;
format co74 co789F.;
format co75 co790F.;
format PMOS $PMO91F.;
format ORANGE ORA92F.;
format OREPL ORE93F.;
format OENMK OEN94F.;
format OIMKS OIM95F.;
format OQUA OQU96F.;
format OFLEX OFL97F.;
format OCAP OCA98F.;
format OHES OHE99F.;
format OLBR OLB100F.;
format ORGBUP ORG101F.;
format ORGWKP ORG102F.;
format ORGEXR ORG103F.;
format ORORED ORO104F.;
format OROABL ORO105F.;
format OROQUA ORO106F.;
format ORORCO ORO107F.;
format OROCIN ORO108F.;
format MKTDGP MKT109F.;
format MKTPDP MKT110F.;
format MKTPDL MKT111F.;
format MKTPRI MKT112F.;
format OMKTS OMK113F.;
format OMKTCG OMK114F.;
format OMKTGM OMK115F.;
format ECOMAT ECO116F.;
format ECOEN ECO117F.;
format ECOCO ECO118F.;
format ECOSUB ECO119F.;
format ECOPOL ECO120F.;
format ECOREC ECO121F.;
format ECOENU ECO122F.;
format ECOPOS ECO123F.;
format ECOREA ECO124F.;
format ENREG ENR125F.;
format ENREGF ENR126F.;
format ENGRA ENG127F.;
format ENDEM END128F.;
format ENAGR ENA129F.;
format ENVID ENV130F.;
RUN;
